import { PublicKey } from '@solana/web3.js';
import { Wallet } from '../wallet';
import { Connection } from '../Connection';
import { TransactionsBatch } from '../utils/transactions-batch';
import { WalletContextState } from '@solana/wallet-adapter-react';
export interface ClaimBidParams {
    connection: Connection;
    wallet: Wallet;
    wallets: WalletContextState;
    auction: PublicKey;
    store: PublicKey;
    bidderPotToken: PublicKey;
}
export interface ClaimBidResponse {
    txId: string;
}
export declare const claimBid: ({ connection, wallet, wallets, store, auction, bidderPotToken, }: ClaimBidParams) => Promise<ClaimBidResponse>;
interface IClaimBidTransactionsParams {
    bidder: PublicKey;
    bidderPotToken?: PublicKey;
    bidderPot: PublicKey;
    auction: PublicKey;
    auctionExtended: PublicKey;
    auctionTokenMint: PublicKey;
    vault: PublicKey;
    store: PublicKey;
    auctionManager: PublicKey;
    acceptPayment: PublicKey;
}
export declare const getClaimBidTransactions: ({ bidder, auctionTokenMint, store, vault, auction, auctionManager, auctionExtended, acceptPayment, bidderPot, bidderPotToken, }: IClaimBidTransactionsParams) => Promise<TransactionsBatch>;
export {};
