import { PublicKey } from '@solana/web3.js';
import { Wallet } from '../wallet';
import { Connection } from '../Connection';
import { WalletContextState } from '@solana/wallet-adapter-react';
export interface InitStoreV2Params {
    connection: Connection;
    wallet: Wallet;
    wallets: WalletContextState;
    isPublic?: boolean;
    settingsUri?: string | null;
}
export interface InitStoreV2Response {
    storeId: PublicKey;
    configId: PublicKey;
    txId: string;
}
export declare const initStoreV2: ({ connection, wallet, wallets, settingsUri, isPublic, }: InitStoreV2Params) => Promise<InitStoreV2Response>;
