import BN from 'bn.js';
import { Commitment, PublicKey, TransactionSignature } from '@solana/web3.js';
import { Wallet } from '../wallet';
import { Connection } from '../Connection';
import { WalletContextState } from '@solana/wallet-adapter-react';
export interface PlaceBidParams {
    connection: Connection;
    wallet: Wallet;
    wallets: WalletContextState;
    auction: PublicKey;
    bidderPotToken?: PublicKey;
    amount: BN;
    commitment?: Commitment;
}
export interface PlaceBidResponse {
    txId: TransactionSignature;
    bidderPotToken: PublicKey;
    bidderMeta: PublicKey;
}
export declare const placeBid: ({ connection, wallet, wallets, amount, auction, bidderPotToken, }: PlaceBidParams) => Promise<PlaceBidResponse>;
