import { PublicKey, TransactionSignature } from '@solana/web3.js';
import { Wallet } from '../../wallet';
import { Connection } from '../../Connection';
import { WalletContextState } from '@solana/wallet-adapter-react';
interface CreateVaultParams {
    connection: Connection;
    wallet: Wallet;
    wallets: WalletContextState;
    priceMint: PublicKey;
    externalPriceAccount: PublicKey;
}
interface CreateVaultResponse {
    txId: TransactionSignature;
    vault: PublicKey;
    fractionMint: PublicKey;
    redeemTreasury: PublicKey;
    fractionTreasury: PublicKey;
}
export declare const createVault: ({ connection, wallet, wallets, priceMint, externalPriceAccount, }: CreateVaultParams) => Promise<CreateVaultResponse>;
export {};
