import { Keypair, PublicKey, Transaction } from '@solana/web3.js';
import { Adapter } from '@solana/wallet-adapter-base';
import { WalletContextState } from '@solana/wallet-adapter-react';
export interface Wallet {
    wallet: any;
    wallets: WalletContextState;
    adapter: Adapter;
    publicKey: PublicKey;
    signTransaction(tx: Transaction): Promise<Transaction>;
    signAllTransactions(txs: Transaction[]): Promise<Transaction[]>;
    feePayer?: PublicKey;
}
export declare class NodeWallet implements Wallet {
    readonly payer: Keypair;
    constructor(payer: Keypair);
    wallets: WalletContextState;
    wallet: any;
    adapter: Adapter;
    feePayer?: PublicKey;
    signTransaction(tx: Transaction): Promise<Transaction>;
    signAllTransactions(txs: Transaction[]): Promise<Transaction[]>;
    get publicKey(): PublicKey;
}
